gnutls_pkcs11_obj_export_url(3)

NAME
gnutls_pkcs11_obj_export_url - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_pkcs11_obj_export_url(gnutls_pkcs11_obj_t obj, gnutls_pkcs11_url_type_t detailed, char ** url);

ARGUMENTS

gnutls_pkcs11_obj_t obj
    Holds the PKCS 11 certificate

gnutls_pkcs11_url_type_t detailed
    non zero if a detailed URL is required

char ** url
    will contain an allocated url

DESCRIPTION
This function will export a URL identifying the given certificate.

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.